explain_ftell_or_die(3)

NAME
explain_ftell_or_die - get stream position and report errors
    "get stream position and report errors"

SYNOPSIS
#include <libexplain/ftell.h>

long explain_ftell_or_die(FILE *fp);
long explain_ftell_on_error(FILE *fp);

DESCRIPTION
The explain_ftell_or_die function is used to call the ftell(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_ftell(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_ftell_on_error function is used to call the ftell(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_ftell(3) function, but still returns to the caller.

fp  The fp, exactly as to be passed to the ftell(3) system call.

RETURN VALUE
The explain_ftell_or_die function only returns on success, see ftell(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_ftell_on_error function always returns the value return by the wrapped ftell(3) system call.

EXAMPLE
The explain_ftell_or_die function is intended to be used in a fashion similar to the following example:
    long result = explain_ftell_or_die(fp);

SEE ALSO

ftell(3)
    get stream position

explain_ftell(3)
    explain ftell(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2010 Peter Miller